Call for Exhibitors 2013

Help METC Celebrate 30 years! 

METC Highlights:

We have added more premium booth spaces, but the best booths will go fast. Save your space today!

  • Meet the Exhibitor Reception on Tuesday late afternoon. *Cooperating School Districts will also hold our annual Winter Conference Meeting for area superintendents, board members and other administrators the evening of Tuesday, February 12. They will be invited to attend the Meet the Exhibitor reception. See below for more information.
  • Large booth size of 10'x10'.
  • Reserve a Premium booth to get the best location!
  • Special Demo times are part of the conference.
  • Sell directly from the floor.
  • More than 1,500 participants eager to learn what's new.
  • Establish your company's name with educators.
  • And much more!

NEW for 2013!

New Sponshorship Level: Bronze Plus
Bronze Plus gives the exhibitor the opportunity to present a 30-minute demo on their product! These Bronze Plus demo sessions will be held during the general conference and will be listed within the general conference sessions in the program. See more information on Bronze Plus and all of the other METC Sponsorship levels.

Breakfast to be Served in the Exhibit Hall
Breakfast will be served in the Exhibit Hall starting at 7:00 am both Tuesday, February 12 and Wednesday, February 13. Registration will be located in the same location just outside of the Exhibit Hall. Once attendees register they will be directed into the Exhibit Hall to grab some breakfast and browse through the booths. This is yet another opportunity for the exhibitors to interact with METC attendees.

Tote Bag Materials
Get materials directly into the hands of the METC attendees! New this year, for $349, exhibitors can have the opportunity to have one item placed in the attendee tote bags. (Exhibitors must have the tote bag materials to CSD by January 25, 2013.) This is an included benefit for all Platinum, Gold, Bronze Plus and Bronze sponsors.

Help METC Celebrate 30 Years!
How has technology changed over the past 30 years? We're inviting Exhibitors as well as local school districts to display their old technology in the Exhibit Hall at METC. Be able to show attendees how your company and the equipment and/or programs it provides has evolved.

Meet the Exhibitor Reception to Include Superintendents, Board Members, and other Administrators from the Annual Winter Conference
CSD will hold the Annual Winter Conference for administrators the evening of Tuesday, February 12 at the same location as METC. Attendees of the Winter Conference will be invited to attend the Meet the Exhibitor Reception prior of their conference.


Rental Charges and Space Reservation

Exhibitor Registration is online this year. On the online exhibitor registration you will need to have your first, second, and third choice of location for your booth(s). To see the available booths go to the Exhibit Hall Map. Please note the price difference listed below between Premium and general booths. Space will be assigned in the order in which contracts and payments are received. CSD reserves the right to make any adjustments necessary throughout planning. Each booth includes the following:

  • Each 10' x '10 booth will be set with 8' high back wall drapery and 3' high side rail draperies. 
  • One 7" x 44" Exhibitor ID sign.
  • One 8' draped table and two side chairs.
  • Security guard services.
  • 1000 Watt electrical outlet.
  • Wifi access.
  • A listing in the exhibitor directory in the conference program and conference mobile app.
  • Breakfast and lunch both days, two people each day.
  • Meet the Exhibitor Reception, Tuesday 4:15-5:30. (See below for more information)

Hardwire internet connectivity is available for an additional $25 per day through the St. Charles Convention Center.

The exhibit area is not carpeted. To enhance the appearance of your booth, rental carpet is available through Heritage Exposition Services. 

Booth Prices

Premium Booths (located in prime locations throughout the Exhibit Hall, Prefunction Area, and next to some of the meeting rooms):
Single Premium Booth (10' x 10') includes lunch for two people, electricity, and wifi access on Tuesday and Wednesday - $755
Double Premium Booth (10' x 20') includes lunch for two people, electricity, and wifi access on Tuesday and Wednesday - $1210

Standard Booths (located within the Exhibit Hall):
Single Standard
Booth (10' x 10') includes lunch for two people, electricity, and wifi access on Tuesday and Wednesday - $699
Dougle Standard Booth (10' x 20') includes lunch for two people, electricity, and wifi access on Tuesday and Wednesday - $1109 


Single Standard Booth & Presenting (10' x 10') includes lunch for two people, electricity, wifi access on Tuesday and Wednesday and presenting a 50 minute session - $799

Booth payment or written arrangements, approved by CSD, must be made by December 7, 2012 in order for booth space to be held. Space is limited thereafter.

Booth Set-up and Dismantle Info

Display space may be set up in the St. Charles Convention Center on Monday, February 11 from 2:00 until 6:00 pm. The Exhibit Hall will be open to attendees on Tuesday at 7:00 am to 5:30 pm and Wednesday at 7:00 am to 3:30 pm. Dismantling cannot begin before 3:30 pm, but must be completed by 6:00 pm Wednesday.

Exhibit Hours

METC will be held at the St. Charles Convention Center, One Convention Center Plaza, St. Charles, MO 63303. The exhibit area will be open:

Tuesday, February 12, 7:00 am - 5:30 pm
Wednesday, February 13, 7:00 am - 3:30 pm 

NEW for 2013! The Exhibit Hall opens earlier than in years past because breakfast will be served in the Exhibit Hall at 7:00 am each day. 

Selling from the Floor

Exhibitors may sell items during the conference. Neigher CSD not the St. Charles Convention Center are responsible for any losses or liabilities that occur due to the activity.

Lead Retrieval

Download attendee information after the show from those who visit your booth and swipe their name badges. Elliott Data will be the provider of the hardware and will facilitate the download at the end of the conference. Fee is $200 for a scanner in your booth.

Decorator Services

Heritage Exposition Services, St. Louis is the offical decorator for the exhibit area. All contracted exhibitors will receive a packet that includes information on shipping, storage and prices for miscellaneous items (e.g. phone lines, additional table or chair rental, etc.). For more information call 314-534-8500.

Program Advertising

For more information on the advertising fees go the Program Advertising Info page.


Sponsorship Opportunities
Go to the Sponsorship Levels page for more information 

Become a METC sponsor and receive special recognition through the conference. Sponsor opportunities include:

  • underwriting a keynote or featured speaker
  • providing scholarships to attendees
  • providing in-kind services
  • sponsoring breakfast, coffee/tea or afternoon beverage break

Sponsorship Levels

  • Platinum ~ $10,000.00
  • Gold ~ $5,000.00
  • Silver ~ $3,000.00
  • Bronze Plus ~ $1,500.00  NEW!
  • Bronze ~ $1,000.00
  • Breakfast ~ $500.00 & up
  • Coffee ~ $400.00 & up 
  • Conference Tote Bag ~ Full sponsorship cost is approximately $5,000.00 ~ Company logo will be printed on the conference tote bags
  • Name Badge/Lanyard Pouch Sponsorship ~ Full sponsorship cost is approximately $2,000.00 ~ Company logo will be printed on the Name Badge/Lanyard Pouches
  • Teacher Scholarships ~ Any amount

Meet the Exhibitor Reception

On Tuesday, February 12, a Meet the Exhibitor reception will be held in the Exhibit Hall offering refreshments for conference attendees to browse the exhibit hall and chat with vendors after the last breakout sessions. Scheduled demos will take place during this reception. During this exhibitor time, consider organizing a special demo or event in your booth to draw attendance! This special event, sponsored by METC and all exhibitors, will be promoted with signage indicating the sponsorship. Exhibitors must be present! Exhibitors that would like to donate attendance prizes for the reception please contact Karen Vaughan, kvaughan@csd.org or 314-692-1250.


Presenting at the Conference


There are two opportunities to present at METC. As a Bronze Plus sponsor exhibitors will present a 30-minute demo session during the general conference. For more information on becoming a Bronze Plus sponsor go to the Sponsorship Info page.

In order to present a 50-minute session an educator who is currently in the classroom must be the primary presenter for the session. All proposals for 50-minute sessions are due by September 14, 2012. Exhibitors whose session is accepted will be charged a booth rate of $799 for a single Standard Booth.
Submit a presentation proposal.


Additional Items Available for Purchase

  • Additional person at a booth, $50 each.
  • Exhibitor Trivia Quiz (to take place during the Meet the Exhibitor Reception on Tuesday, February 12), $25.
  • Electronic transfer of mail information for all conference attendees (zip code order-available before and after the conference), $35.
  • Opportunity to place one item in all participant tote bags, $349. NEW! (Exhibitors must have the tote bag materials to CSD by January 25, 2013.) This is an included benefit for all Platinum, Gold, Bronze Plus and Bronze sponsors.
  • Coffee Sponsor, $400 (and up)
  • Engergy Break Sponsor, $500 (and up)
  • Lead Retrieval, $200

More information on all Sponsorship Levels.


Cancellation Policy

Cancellation of any portion of the exhibit contract must be made in writing to CSD and will be effective on the date of receipt. If the cancellation is received by January 18, 2013, the refund amount will be 75%. There will be NO refunds after January 18, 2013.



Exhibitor Booth Registration
Submission for Exhibitor Presentation proposals is now closed. To present a 30 minute demo session become a Bronze Plus sponsor

Last modified: Wednesday, January 16, 2013, 02:18 PM